#pragma once

#include "playercontroller.h"

namespace kek {

class DefaultPlayerController: public PlayerController {

public:
	glm::vec3 gravity = glm::vec3(0,-9.81,0);
	float minSlideAngle = 5;
	float maxWalkAngle = 60;
	float jumpHeight = 1;

	glm::vec3 velocity = glm::vec3(0);

	DefaultPlayerController();
	virtual ~DefaultPlayerController();

	virtual glm::vec3 move(glm::vec3 movement);
	virtual void jump();
	virtual void update();

};

}
